/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2018, 2022 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name        : Config_OSTM0_user.c
* Component Version: 1.3.0
* Device(s)        : R7F701690
* Description      : This file implements device driver for Config_OSTM0.
***********************************************************************************************************************/
/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_userdefine.h"
#include "Config_OSTM0.h"
/* Start user code for include. Do not edit comment generated here */

/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
uint16_t _u2OSTMCnt = 0;
extern  uint16_t  u2Reg[8];
extern  uint16_t  u2RegData[8];
extern  uint16_t  u2Reg0, u2Reg1, u2Reg2, u2Reg3;
extern  uint16_t  u2Reg4, u2Reg5, u2Reg6, u2Reg7;
extern  uint16_t  u2RegData2, u2RegData3, u2RegData4, u2RegData5;
extern  uint16_t  u2ErrClr;



/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_Config_OSTM0_Create_UserInit
* Description  : This function adds user code after initializing OSTM module.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_Config_OSTM0_Create_UserInit(void)
{
    /* Start user code for user init. Do not edit comment generated here */

    /* End user code. Do not edit comment generated here */
}

/***********************************************************************************************************************
* Function Name: r_Config_OSTM0_interrupt
* Description  : This function handles the INTOSTM0 interrupt.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
#pragma interrupt r_Config_OSTM0_interrupt(enable=false, channel=84, fpu=true, callt=false)
void r_Config_OSTM0_interrupt(void)
{
    /* Start user code for r_Config_OSTM0_interrupt. Do not edit comment generated here */
    _u2OSTMCnt++;
    if (_u2OSTMCnt>=2000)   {  _u2OSTMCnt=0;  }


    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
